<?php

namespace app\api\controller\JoinApply;

use app\BaseController;
use app\common\model\JoinApply\JoinApply as ModelJoinApply;
use app\Request;
use think\Validate;
use think\exception\ValidateException;
use think\facade\Filesystem;
use app\common\arw\adjfut\src\Excel;
use app\common\arw\adjfut\src\UploadFile;
use think\facade\Db;
use app\common\exception\Tool;
use think\facade\Env;


class JoinApply extends BaseController
{
    /**
     * 获取加盟申请列表
     */
    public function getJoinApplyList(Request $request): array
    {
        $params = $request->param();
        $con = [];

        $con = Tool::getOptionalQuery(['join_apply_user_name','LIKE'],['join_apply_user_phone','LIKE'],['join_apply_user_position','='],['join_apply_status','='],);

        $query = ModelJoinApply::where($con)
            ->field([
'join_apply_id',
'join_apply_guid',
'join_apply_user_name',
'join_apply_user_phone',
'join_apply_user_position',
'join_apply_user_area',
'join_apply_user_org',
'join_apply_status'
])
            ->order('join_apply_update_time', 'desc');

        

        return msg("获取加盟申请列表成功!",$query);
    }

    /**
     * 获取加盟申请详情
     */
    public function getJoinApplyInfo(Request $request): array
    {
        $params = $request->param();

        $this->validate($params, ['join_apply_guid' => 'require']);

        $find = ModelJoinApply::field([
'join_apply_id',
'join_apply_guid',
'join_apply_user_name',
'join_apply_user_phone',
'join_apply_user_position',
'join_apply_user_area',
'join_apply_user_org',
'join_apply_status'
])
                ->where('join_apply_guid',$params['join_apply_guid'])
                ->find();

        return msg(0,'获取加盟申请详情成功!',['data' => $find]);
    }

}
